# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::SearchInterface Class Reference

This is an interface to allow searching of a Document. More...

`#include <searchinterface.h>`

List of all members.

## Public Member Functions

unsigned int | searchInterfaceNumber () const
virtual bool | searchText (unsigned int startLine, unsigned int startCol, const QString &text, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool casesensitive=true, bool backwards=false)=0
virtual bool | searchText (unsigned int startLine, unsigned int startCol, const QRegExp &regexp, unsigned int *foundAtLine, unsigned int *foundAtCol, unsigned int *matchLen, bool backwards=false)=0

## Protected Member Functions

void | setSearchInterfaceDCOPSuffix (const QCString &suffix)

## Friends

class | PrivateSearchInterface

## Detailed Description

This is an interface to allow searching of a Document.

Definition at line 35 of file searchinterface.h.

The documentation for this class was generated from the following files:

- searchinterface.h
- searchinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:17 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003